Page MenuHomePhabricator

copies-rust: use the `entry` API for copy information too
ClosedPublic

Authored by marmoute on Dec 2 2020, 11:02 AM.

Details

Summary

The code end up being complicated, but it split out the case were we add a new
entry from the case were we overwrite one. And that is the goal here, being able
to easily track value overwrite.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Dec 2 2020, 11:02 AM
baymax updated this revision to Diff 23959.Dec 2 2020, 1:19 PM
Alphare accepted this revision.Dec 14 2020, 4:48 AM
marmoute updated this revision to Diff 24218.Dec 14 2020, 6:17 AM
baymax updated this revision to Diff 24239.Dec 14 2020, 7:48 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

pulkit accepted this revision.Dec 17 2020, 6:15 AM
This revision is now accepted and ready to land.Dec 17 2020, 6:15 AM
baymax updated this revision to Diff 24356.Dec 17 2020, 3:47 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)